# Generated via dconf2nix: https://github.com/gvolpe/dconf2nix
{ lib, ... }:

with lib.hm.gvariant;

{
  dconf.settings = {
    "org/gnome/shell/extensions/vertical-workspaces" = {
      dash-position = 4;
      enable-page-shortcuts = true;
      fix-ubuntu-dock = false;
      overview-bg-blur-sigma = 20;
      overview-bg-brightness = 82;
      panel-position = 1;
      profile-name-1 = "GNOME 3";
      profile-name-2 = "GNOME 40+ - Bottom Hot Edge";
      profile-name-3 = "Hot Corner Centric - Top Left Hot Corner";
      profile-name-4 = "Dock Overview - Bottom Hot Edge";
      show-bg-in-overview = true;
      show-ws-preview-bg = true;
      show-wst-labels = 0;
      smooth-blur-transitions = false;
      startup-state = 0;
      ws-thumbnails-full = false;
      ws-thumbnails-position = 1;
    };

    "org/gnome/shell/extensions/big-avatar" = {
      fontsize = 16;
      horizontalmode = true;
      picturesize = 48;
    };

    "org/gnome/shell/extensions/gtile" = {
      autotile-1 = [ "" ];
      autotile-10 = [ "" ];
      autotile-2 = [ "" ];
      autotile-3 = [ "" ];
      autotile-4 = [ "" ];
      autotile-5 = [ "" ];
      autotile-6 = [ "" ];
      autotile-7 = [ "" ];
      autotile-8 = [ "" ];
      autotile-9 = [ "" ];
      autotile-main = [ "" ];
      global-presets = false;
      grid-sizes = "8x5";
      insets-primary-bottom = 3;
      insets-primary-left = 3;
      insets-primary-right = 3;
      insets-primary-top = 3;
      insets-secondary-bottom = 0;
      insets-secondary-left = 0;
      insets-secondary-right = 0;
      insets-secondary-top = 0;
      max-timeout = 1600;
      move-down-vi = [ "" ];
      move-left-vi = [ "" ];
      move-right-vi = [ "" ];
      move-up-vi = [ "" ];
      moveresize-enabled = false;
      preset-resize-1 = [ "" ];
      preset-resize-11 = [ "" ];
      preset-resize-12 = [ "" ];
      preset-resize-13 = [ "" ];
      preset-resize-14 = [ "" ];
      preset-resize-15 = [ "" ];
      preset-resize-16 = [ "" ];
      preset-resize-17 = [ "" ];
      preset-resize-18 = [ "" ];
      preset-resize-19 = [ "" ];
      preset-resize-2 = [ "" ];
      preset-resize-21 = [ "" ];
      preset-resize-22 = [ "" ];
      preset-resize-23 = [ "" ];
      preset-resize-24 = [ "" ];
      preset-resize-25 = [ "" ];
      preset-resize-26 = [ "" ];
      preset-resize-27 = [ "" ];
      preset-resize-28 = [ "" ];
      preset-resize-29 = [ "" ];
      preset-resize-3 = [ "" ];
      preset-resize-4 = [ "" ];
      preset-resize-5 = [ "" ];
      preset-resize-6 = [ "" ];
      preset-resize-7 = [ "" ];
      preset-resize-8 = [ "" ];
      preset-resize-9 = [ "" ];
      resize-down-vi = [ "" ];
      resize-left-vi = [ "" ];
      resize-right-vi = [ "" ];
      resize-up-vi = [ "" ];
      resize1 = "7x2 0:2 0:2, 2:5 0:2";
      show-icon = false;
      snap-to-neighbors = [ "" ];
      window-margin = 4;
    };

    "org/gnome/shell/extensions/just-perfection" = {
      activities-button = true;
      app-menu = true;
      dash = false;
      dash-separator = true;
      panel = true;
      quick-settings = true;
      top-panel-position = 1;
      window-demands-attention-focus = false;
    };

    "org/gnome/shell/extensions/pip-on-top" = {
      stick = true;
    };

  };
}
